## linux 4.19.37

=== debian/changelog ===
linux (4.19.37-5+deb10u2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports; no further changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 16 Aug 2019 16:11:27 +0100

linux (4.19.37-5+deb10u2) buster-security; urgency=high

  [ Romain Perier ]
  * [x86] x86/insn-eval: Fix use-after-free access to LDT entry (CVE-2019-13233)
  * [powerpc*] mm/64s/hash: Reallocate context ids on fork (CVE-2019-12817)
  * nfc: Ensure presence of required attributes in the deactivate_target handler
    (CVE-2019-12984)
  * binder: fix race between munmap() and direct reclaim (CVE-2019-1999)
  * scsi: libsas: fix a race condition when smp task timeout (CVE-2018-20836)
  * Input: gtco - bounds check collection indent level (CVE-2019-13631)
  * floppy: fix out-of-bounds read in copy_buffer (CVE-2019-14283)
  * inet: switch IP ID generator to siphash (CVE-2019-10638)
  * floppy: fix div-by-zero in setup_format_params (CVE-2019-14284)
  * Bluetooth: hci_uart: check for missing tty operations (CVE-2019-10207)
  * [powerpc/tm] Fix oops on sigreturn on systems without TM (CVE-2019-13648) 

  [ Salvatore Bonaccorso ]
  * [x86] cpufeatures: Carve out CQM features retrieval
  * [x86] cpufeatures: Combine word 11 and 12 into a new scattered features
    word
  * [x86] speculation: Prepare entry code for Spectre v1 swapgs mitigations
  * [x86] speculation: Enable Spectre v1 swapgs mitigations (CVE-2019-1125)
  * [amd64] entry: Use JMP instead of JMPQ
  * [x86] speculation/swapgs: Exclude ATOMs from speculation through SWAPGS
  * Documentation: Add section about CPU vulnerabilities for Spectre
  * Documentation: Add swapgs description to the Spectre v1 documentation

  [ Ben Hutchings ]
  * [x86] cpufeatures: Avoid ABI change for swapgs mitigations:
    - Move swapgs feature bits to existing scattered words
    - Revert "x86/cpufeatures: Combine word 11 and 12 into a new scattered
      features word"
  * inet: Avoid ABI change for IP ID hash change

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 08 Aug 2019 03:02:38 +0100

linux (4.19.37-5+deb10u1) buster-security; urgency=high

  * tcp: refine memory limit test in tcp_fragment() (Closes: #930904)
  * ptrace: Fix ->ptracer_cred handling for PTRACE_TRACEME (CVE-2019-13272)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 Jul 2019 10:45:17 +0200

linux (4.19.37-5) unstable; urgency=medium

  [ Romain Perier ]
  * [sparc64] Fix device naming inconsistency between sunhv_console and
    sunhv_reg (Closes: #926539)

  [ Ben Hutchings ]
  * tcp: Avoid ABI change for DoS fixes (Closes: #930743)
  * Add ABI reference for 4.19.0-5

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 19 Jun 2019 23:16:58 +0100

linux (4.19.37-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports; no further changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 19 Jun 2019 01:48:57 +0100

linux (4.19.37-4) unstable; urgency=high

  [ Ben Hutchings ]
  * libbpf: Fix various build bugs:
    - Drop unnecessary changes from "libbpf: add SONAME to shared object"
    - libbpf: Use only 2 components in soversion, matching package name
      (Closes: #929187)
    - libbpf: Build out-of-tree
  * README.source: Document the various makefiles and use of out-of-tree builds
  * [x86] lockdown,sysrq: Enable ALLOW_LOCKDOWN_LIFT_BY_SYSRQ (Closes: #929583)
  * mwifiex: Fix possible buffer overflows at parsing bss descriptor
    (CVE-2019-3846)
  * mwifiex: Abort at too short BSS descriptor element
  * mwifiex: Don't abort on small, spec-compliant vendor IEs
  * mm/mincore.c: make mincore() more conservative (CVE-2019-5489)
  * mwifiex: Fix heap overflow in mwifiex_uap_parse_tail_ies()
    (CVE-2019-10126)
  * tcp: limit payload size of sacked skbs (CVE-2019-11477)
  * tcp: tcp_fragment() should apply sane memory limits (CVE-2019-11478)
  * tcp: add tcp_min_snd_mss sysctl (CVE-2019-11479)
  * tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()

  [ Romain Perier ]
  * [rt] Update to 4.19.37-rt20:
    - powerpc/pseries/iommu: Use a locallock instead local_irq_save()
    - powerpc: reshuffle TIF bits
    - tty/sysrq: Convert show_lock to raw_spinlock_t
    - drm/i915: Don't disable interrupts independently of the lock
    - sched/completion: Fix a lockup in wait_for_completion()

  [ Salvatore Bonaccorso ]
  * brcmfmac: assure SSID length from firmware is limited (CVE-2019-9500)
  * brcmfmac: add subtype check for event handling in data path
    (CVE-2019-9503)
  * ext4: zero out the unused memory region in the extent tree block
    (CVE-2019-11833)
  * Bluetooth: hidp: fix buffer overflow (CVE-2019-11884)

  [ Aurelien Jarno ]
  * [mips] Correctly bounds check virt_addr_valid (Closes: #929366)

  [ John Paul Adrian Glaubitz ]
  * [sparc64] udeb: Disable suffix for kernel-image

  [ Alper Nebi Yasak ]
  * udeb: input-modules: Include all keyboard driver modules
  * [arm64] udeb: kernel-image: Include cros_ec_spi and SPI drivers
  * [arm64] udeb: kernel-image: Include phy-rockchip-pcie
  * [arm64] udeb: usb-modules: Include phy-rockchip-typec, extcon-usbc-cros-ec
  * [arm64] udeb: mmc-modules: Include phy-rockchip-emmc
  * [arm64] udeb: fb-modules: Include rockchipdrm, panel-simple, pwm_bl and
    pwm-cros-ec

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 17 Jun 2019 20:00:22 +0100

linux (4.19.37-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports:
    - Change ABI number to 0.bpo.5

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 18 May 2019 23:39:47 +0100

linux (4.19.37-3) unstable; urgency=medium

  * [powerpc*] 64s: Include cpu header (fixes FTBFS)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 15 May 2019 23:07:16 +0100

linux (4.19.37-2) unstable; urgency=high

  * debian/bin: Fix Python static checker regressions (Closes: #928618)
  * Clean up speculation mitigations:
    - Documentation/l1tf: Fix small spelling typo
    - x86/cpu: Sanitize FAM6_ATOM naming
    - kvm: x86: Report STIBP on GET_SUPPORTED_CPUID


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.99~) <!stage1 !pkg.linux.nokernel>, kmod <!stage1 !pkg.linux.nokernel>, bc <!stage1 !pkg.linux.nokernel>, libssl-dev:native <!stage1 !pkg.linux.nokernel>, libssl-dev <!stage1 !pkg.linux.notools>, openssl (>= 1.1.0-1~) <!stage1 !pkg.linux.nokernel>, libelf-dev:native [amd64] <!stage1 !pkg.linux.nokernel>, libelf-dev <!stage1 !pkg.linux.notools>, gcc-6 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64] <!stage1 !cross !pkg.linux.nokernel>, gcc-6-alpha-linux-gnu [alpha] <!stage1 cross !pkg.linux.nokernel>, gcc-6 (>= 6.3.0-18+deb9u1~) [amd64 i386] <!stage1 !cross !pkg.linux.nokernel>, gcc-6-x86-64-linux-gnu (>= 6.3.0-18+deb9u1~) [amd64] <!stage1 cross !pkg.linux.nokernel>, gcc-6-aarch64-linux-gnu [arm64] <!stage1 cross !pkg.linux.nokernel>, gcc-6-arm-linux-gnueabi [armel] <!stage1 cross !pkg.linux.nokernel>, gcc-6-arm-linux-gnueabihf [armhf] <!stage1 cross !pkg.linux.nokernel>, gcc-6-hppa-linux-gnu [hppa] <!stage1 cross !pkg.linux.nokernel>, binutils-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-6-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-6-i686-linux-gnu (>= 6.3.0-18+deb9u1~) [i386] <!stage1 cross !pkg.linux.nokernel>, gcc-6-ia64-linux-gnu [ia64] <!stage1 cross !pkg.linux.nokernel>, gcc-6-m68k-linux-gnu [m68k] <!stage1 cross !pkg.linux.nokernel>, gcc-6-mips-linux-gnu [mips] <!stage1 cross !pkg.linux.nokernel>, gcc-6-mips64-linux-gnuabi64 [mips64] <!stage1 cross !pkg.linux.nokernel>, gcc-6-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross !pkg.linux.nokernel>, gcc-6-mipsisa64r6-linux-gnuabi64 [mips64r6] <!stage1 cross !pkg.linux.nokernel>, gcc-6-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <!stage1 cross !pkg.linux.nokernel>, gcc-6-mipsel-linux-gnu [mipsel] <!stage1 cross !pkg.linux.nokernel>, gcc-6-mipsisa32r6-linux-gnu [mipsr6] <!stage1 cross !pkg.linux.nokernel>, gcc-6-mipsisa32r6el-linux-gnu [mipsr6el] <!stage1 cross !pkg.linux.nokernel>, gcc-6-powerpc-linux-gnu [powerpc] <!stage1 cross !pkg.linux.nokernel>, gcc-6-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross !pkg.linux.nokernel>, gcc-6-powerpc64-linux-gnu [ppc64] <!stage1 cross !pkg.linux.nokernel>, gcc-6-powerpc64le-linux-gnu [ppc64el] <!stage1 cross !pkg.linux.nokernel>, gcc-6-riscv64-linux-gnu [riscv64] <!stage1 cross !pkg.linux.nokernel>, gcc-6-s390x-linux-gnu [s390x] <!stage1 cross !pkg.linux.nokernel>, gcc-6-sh4-linux-gnu [sh4] <!stage1 cross !pkg.linux.nokernel>, gcc-6-sparc64-linux-gnu [sparc64] <!stage1 cross !pkg.linux.nokernel>, libpci-dev [linux-any] <!stage1 !pkg.linux.notools>, autoconf [linux-any] <!stage1 !pkg.linux.notools>, automake [linux-any] <!stage1 !pkg.linux.notools>, libtool [linux-any] <!stage1 !pkg.linux.notools>, libglib2.0-dev [linux-any] <!stage1 !pkg.linux.notools>, libudev-dev [linux-any] <!stage1 !pkg.linux.notools>, libwrap0-dev [linux-any] <!stage1 !pkg.linux.notools>, rsync [linux-any] <!stage1 !pkg.linux.notools>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !nodoc !pkg.linux.notools !nopython>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.3-2~) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython> | libbabeltrace-ctf-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 i386 mips mips64el mipsel ppc64el s390x] <!stage1 !pkg.linux.notools !nopython>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!stage1 !pkg.linux.notools !nopython>, python3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>
Build-Depends-Indep: graphviz <!stage1 !nodoc>, python3-sphinx <!stage1 !nodoc>, python3-sphinx-rtd-theme <!stage1 !nodoc>, texlive-latex-base <!stage1 !nodoc>, texlive-latex-extra <!stage1 !nodoc>, dvipng <!stage1 !nodoc>, patchutils <!stage1 !pkg.linux.nosource>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-4.19.0-0.bpo.5
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.19
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.19
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.19
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.19.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.19/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: lockdep
Architecture: all
Section: devel
Depends: ${misc:Depends}, liblockdep4.19
Recommends: liblockdep-dev
Description: Runtime locking correctness validator
 lockdep is a wrapper for programs that use the pthreads API, which detects
 actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: allowed

Package: liblockdep4.19
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime locking correctness validator (shared library)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: liblockdep-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}, liblockdep4.19 (= ${binary:Version})
Description: Runtime locking correctness validator (development files)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: libbpf4.19
Architecture: alpha amd64 arm64 arm64ilp32 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh3 sh4 sparc sparc64 x32
Section: libs

=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-0.bpo.5-alpha-generic [alpha], linux-image-4.19.0-0.bpo.5-alpha-smp [alpha], linux-image-4.19.0-0.bpo.5-amd64-unsigned [amd64], linux-image-4.19.0-0.bpo.5-cloud-amd64-unsigned [amd64], linux-image-4.19.0-0.bpo.5-rt-amd64-unsigned [amd64], linux-image-4.19.0-0.bpo.5-arm64-unsigned [arm64], linux-image-4.19.0-0.bpo.5-rt-arm64-unsigned [arm64], linux-image-4.19.0-0.bpo.5-marvell [armel], linux-image-4.19.0-0.bpo.5-rpi [armel], linux-image-4.19.0-0.bpo.5-armmp [armhf], linux-image-4.19.0-0.bpo.5-armmp-lpae [armhf], linux-image-4.19.0-0.bpo.5-rt-armmp [armhf], linux-image-4.19.0-0.bpo.5-parisc [hppa], linux-image-4.19.0-0.bpo.5-parisc-smp [hppa], linux-image-4.19.0-0.bpo.5-parisc64-smp [hppa], linux-image-4.19.0-0.bpo.5-686-unsigned [i386], linux-image-4.19.0-0.bpo.5-686-pae-unsigned [i386], linux-image-4.19.0-0.bpo.5-rt-686-pae-unsigned [i386], linux-image-4.19.0-0.bpo.5-itanium [ia64], linux-image-4.19.0-0.bpo.5-mckinley [ia64], linux-image-4.19.0-0.bpo.5-m68k [m68k], linux-image-4.19.0-0.bpo.5-4kc-malta [mips mipsel], linux-image-4.19.0-0.bpo.5-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-0.bpo.5-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-0.bpo.5-loongson-3 [mips64el mipsel], linux-image-4.19.0-0.bpo.5-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-0.bpo.5-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-0.bpo.5-mips32r6 [mipsr6], linux-image-4.19.0-0.bpo.5-mips32r6el [mipsr6el], linux-image-4.19.0-0.bpo.5-powerpc [powerpc], linux-image-4.19.0-0.bpo.5-powerpc-smp [powerpc], linux-image-4.19.0-0.bpo.5-powerpc64 [powerpc ppc64], linux-image-4.19.0-0.bpo.5-powerpcspe [powerpcspe], linux-image-4.19.0-0.bpo.5-powerpc64le [ppc64el], linux-image-4.19.0-0.bpo.5-riscv64 [riscv64], linux-image-4.19.0-0.bpo.5-s390x [s390x], linux-image-4.19.0-0.bpo.5-sh7751r [sh4], linux-image-4.19.0-0.bpo.5-sh7785lcr [sh4], linux-image-4.19.0-0.bpo.5-sparc64 [sparc64], linux-image-4.19.0-0.bpo.5-sparc64-smp [sparc64]
Classes: smp

## linux 4.19.67

=== usr/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# kbuild file for usr/ - including initramfs image
#

klibcdirs:;
PHONY += klibcdirs

suffix_y = $(subst $\",,$(CONFIG_INITRAMFS_COMPRESSION))
datafile_y = initramfs_data.cpio$(suffix_y)
datafile_d_y = .$(datafile_y).d
AFLAGS_initramfs_data.o += -DINITRAMFS_IMAGE="usr/$(datafile_y)"


# Generate builtin.o based on initramfs_data.o
obj-$(CONFIG_BLK_DEV_INITRD) := initramfs_data.o

# initramfs_data.o contains the compressed initramfs_data.cpio image.
# The image is included using .incbin, a dependency which is not
# tracked automatically.
$(obj)/initramfs_data.o: $(obj)/$(datafile_y) FORCE

#####
# Generate the initramfs cpio archive

hostprogs-y := gen_init_cpio
initramfs   := $(CONFIG_SHELL) $(srctree)/$(src)/gen_initramfs_list.sh
ramfs-input := $(if $(filter-out "",$(CONFIG_INITRAMFS_SOURCE)), \
			$(shell echo $(CONFIG_INITRAMFS_SOURCE)),-d)
ramfs-args  := \
        $(if $(CONFIG_INITRAMFS_ROOT_UID), -u $(CONFIG_INITRAMFS_ROOT_UID)) \
        $(if $(CONFIG_INITRAMFS_ROOT_GID), -g $(CONFIG_INITRAMFS_ROOT_GID))

# $(datafile_d_y) is used to identify all files included
# in initramfs and to detect if any files are added/removed.
# Removed files are identified by directory timestamp being updated
# The dependency list is generated by gen_initramfs.sh -l
ifneq ($(wildcard $(obj)/$(datafile_d_y)),)
	include $(obj)/$(datafile_d_y)
endif

quiet_cmd_initfs = GEN     $@
      cmd_initfs = $(initramfs) -o $@ $(ramfs-args) $(ramfs-input)

targets := $(datafile_y)

# do not try to update files included in initramfs
$(deps_initramfs): ;

$(deps_initramfs): klibcdirs
# We rebuild initramfs_data.cpio if:
# 1) Any included file is newer then initramfs_data.cpio
# 2) There are changes in which files are included (added or deleted)
# 3) If gen_init_cpio are newer than initramfs_data.cpio
# 4) arguments to gen_initramfs.sh changes
$(obj)/$(datafile_y): $(obj)/gen_init_cpio $(deps_initramfs) klibcdirs
	$(Q)$(initramfs) -l $(ramfs-input) > $(obj)/$(datafile_d_y)
	$(call if_changed,initfs)

=== debian/changelog ===
linux (4.19.67-2+deb10u2) buster-security; urgency=high

  * [x86] Add mitigation for TSX Asynchronous Abort (CVE-2019-11135):
    - KVM: x86: use Intel speculation bugs and features as derived in generic
      x86 code
    - x86/msr: Add the IA32_TSX_CTRL MSR
    - x86/cpu: Add a helper function x86_read_arch_cap_msr()
    - x86/cpu: Add a "tsx=" cmdline option with TSX disabled by default
    - x86/speculation/taa: Add mitigation for TSX Async Abort
    - x86/speculation/taa: Add sysfs reporting for TSX Async Abort
    - kvm/x86: Export MDS_NO=0 to guests when TSX is enabled
    - x86/tsx: Add "auto" option to the tsx= cmdline parameter
    - x86/speculation/taa: Add documentation for TSX Async Abort
    - x86/tsx: Add config options to set tsx=on|off|auto
    - x86/speculation/taa: Fix printing of TAA_MSG_SMT on IBRS_ALL CPUs
    TSX is now disabled by default; see
    Documentation/admin-guide/hw-vuln/tsx_async_abort.rst
  * [x86] KVM: Add mitigation for Machine Check Error on Page Size Change
    (aka iTLB multi-hit, CVE-2018-12207):
    - kvm: Convert kvm_lock to a mutex
    - kvm: x86: Do not release the page inside mmu_set_spte()
    - KVM: x86: make FNAME(fetch) and __direct_map more similar
    - KVM: x86: remove now unneeded hugepage gfn adjustment
    - KVM: x86: change kvm_mmu_page_get_gfn BUG_ON to WARN_ON
    - KVM: x86: add tracepoints around __direct_map and FNAME(fetch)
    - kvm: x86, powerpc: do not allow clearing largepages debugfs entry
    - KVM: vmx, svm: always run with EFER.NXE=1 when shadow paging is active
    - x86/bugs: Add ITLB_MULTIHIT bug infrastructure
    - cpu/speculation: Uninline and export CPU mitigations helpers
    - kvm: mmu: ITLB_MULTIHIT mitigation
    - kvm: Add helper function for creating VM worker threads
    - kvm: x86: mmu: Recovery of shattered NX large pages
    - Documentation: Add ITLB_MULTIHIT documentation
  * [x86] i915: Mitigate local privilege escalation on gen9 (CVE-2019-0155):
    - drm/i915: Rename gen7 cmdparser tables
    - drm/i915: Disable Secure Batches for gen6+
    - drm/i915: Remove Master tables from cmdparser
    - drm/i915: Add support for mandatory cmdparsing
    - drm/i915: Support ro ppgtt mapped cmdparser shadow buffers
    - drm/i915: Allow parsing of unsized batches
    - drm/i915: Add gen9 BCS cmdparsing
    - drm/i915/cmdparser: Use explicit goto for error paths
    - drm/i915/cmdparser: Add support for backward jumps
    - drm/i915/cmdparser: Ignore Length operands during command matching
    - drm/i915/cmdparser: Fix jump whitelist clearing
  * [x86] i915: Mitigate local denial-of-service on gen8/gen9 (CVE-2019-0154):
    - drm/i915: Lower RM timeout to avoid DSI hard hangs
    - drm/i915/gen8+: Add RC6 CTX corruption WA

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 Nov 2019 00:30:56 +0000

linux (4.19.67-2+deb10u1) buster-security; urgency=high

  [ Romain Perier ]
  * ALSA: usb-audio: Fix an OOB bug in parse_audio_mixer_unit (CVE-2019-15117)
  * ALSA: usb-audio: Fix a stack buffer overflow bug in check_input_term
    (CVE-2019-15118)

  [ Salvatore Bonaccorso ]
  * vhost: make sure log_num < in_num (CVE-2019-14835)
  * [x86] ptrace: fix up botched merge of spectrev1 fix (CVE-2019-15902)
  * KVM: coalesced_mmio: add bounds checking (CVE-2019-14821)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 Sep 2019 12:51:55 +0200

linux (4.19.67-2) buster; urgency=medium

  [ Salvatore Bonaccorso ]
  * dm: disable DISCARD if the underlying storage no longer supports it
    (Closes: #934331)
  * xfs: fix missing ILOCK unlock when xfs_setattr_nonsize fails due to EDQUOT
    (CVE-2019-15538)

  [ Ben Hutchings ]
  * KVM: Ignore ABI changes
  * [ppc64el] Disable PPC_TRANSACTIONAL_MEM (Closes: #866122)
  * [ppc64el] Avoid ABI change for disabling TM
  * netfilter: conntrack: Use consistent ct id hash calculation
    (fixes regression in 4.19.44)

  [ Cyril Brulebois ]
  * [arm] Backport DTB support for Rasperry Pi Compute Module 3.
  * [arm64] Backport DTB support for Rasperry Pi Compute Module 3.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 28 Aug 2019 06:20:22 +0200

linux (4.19.67-1) buster; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.38
    - netfilter: nft_compat: use refcnt_t type for nft_xt reference count
    - netfilter: nft_compat: make lists per netns
    - netfilter: nf_tables: split set destruction in deactivate and destroy
      phase
    - netfilter: nft_compat: destroy function must not have side effects
    - netfilter: nf_tables: warn when expr implements only one of
      activate/deactivate
    - netfilter: nf_tables: unbind set in rule from commit path
    - netfilter: nft_compat: don't use refcount_inc on newly allocated entry
    - netfilter: nft_compat: use .release_ops and remove list of extension
    - netfilter: nf_tables: fix set double-free in abort path
    - netfilter: nf_tables: bogus EBUSY when deleting set after flush
    - netfilter: nf_tables: bogus EBUSY in helper removal from transaction
    - net/ibmvnic: Fix RTNL deadlock during device reset
    - net: mvpp2: fix validate for PPv2.1
    - ext4: fix some error pointer dereferences
    - tipc: handle the err returned from cmd header function
    - loop: do not print warn message if partition scan is successful
    - [armhf,arm64] drm/rockchip: fix for mailbox read validation.
    - vsock/virtio: fix kernel panic from virtio_transport_reset_no_sock
    - ipvs: fix warning on unused variable
    - [ppc64el] vdso32: fix CLOCK_MONOTONIC on PPC64
    - [armhf,arm64] net: dsa: mv88e6xxx: add call to mv88e6xxx_ports_cmode_init
      to probe for new DSA framework
    - cifs: fix memory leak in SMB2_read
    - cifs: do not attempt cifs operation on smb2+ rename error
    - tracing: Fix a memory leak by early error exit in trace_pid_write()
    - zram: pass down the bvec we need to read into in the work struct


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.99~) <!stage1 !pkg.linux.nokernel>, kmod <!stage1 !pkg.linux.nokernel>, bc <!stage1 !pkg.linux.nokernel>, libssl-dev:native <!stage1 !pkg.linux.nokernel>, libssl-dev <!stage1 !pkg.linux.notools>, openssl (>= 1.1.0-1~) <!stage1 !pkg.linux.nokernel>, libelf-dev:native [amd64] <!stage1 !pkg.linux.nokernel>, libelf-dev <!stage1 !pkg.linux.notools>, gcc-8 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64] <!stage1 !cross !pkg.linux.nokernel>, gcc-8-alpha-linux-gnu [alpha] <!stage1 cross !pkg.linux.nokernel>, gcc-8 (>= 8-20180123-1~) [amd64 i386] <!stage1 !cross !pkg.linux.nokernel>, gcc-8-x86-64-linux-gnu (>= 8-20180123-1~) [amd64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-aarch64-linux-gnu [arm64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-arm-linux-gnueabi [armel] <!stage1 cross !pkg.linux.nokernel>, gcc-8-arm-linux-gnueabihf [armhf] <!stage1 cross !pkg.linux.nokernel>, gcc-8-hppa-linux-gnu [hppa] <!stage1 cross !pkg.linux.nokernel>, binutils-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-8-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-8-i686-linux-gnu (>= 8-20180123-1~) [i386] <!stage1 cross !pkg.linux.nokernel>, gcc-8-ia64-linux-gnu [ia64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-m68k-linux-gnu [m68k] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips-linux-gnu [mips] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips64-linux-gnuabi64 [mips64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa64r6-linux-gnuabi64 [mips64r6] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsel-linux-gnu [mipsel] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa32r6-linux-gnu [mipsr6] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa32r6el-linux-gnu [mipsr6el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc-linux-gnu [powerpc] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc64-linux-gnu [ppc64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc64le-linux-gnu [ppc64el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-riscv64-linux-gnu [riscv64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-s390x-linux-gnu [s390x] <!stage1 cross !pkg.linux.nokernel>, gcc-8-sh4-linux-gnu [sh4] <!stage1 cross !pkg.linux.nokernel>, gcc-8-sparc64-linux-gnu [sparc64] <!stage1 cross !pkg.linux.nokernel>, libpci-dev [linux-any] <!stage1 !pkg.linux.notools>, autoconf [linux-any] <!stage1 !pkg.linux.notools>, automake [linux-any] <!stage1 !pkg.linux.notools>, libtool [linux-any] <!stage1 !pkg.linux.notools>, libglib2.0-dev [linux-any] <!stage1 !pkg.linux.notools>, libudev-dev [linux-any] <!stage1 !pkg.linux.notools>, libwrap0-dev [linux-any] <!stage1 !pkg.linux.notools>, rsync [linux-any] <!stage1 !pkg.linux.notools>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !nodoc !pkg.linux.notools !nopython>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.3-2~) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython> | libbabeltrace-ctf-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!stage1 !pkg.linux.notools !nopython>, libopencsd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, python3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>
Build-Depends-Indep: graphviz <!stage1 !nodoc>, python3-sphinx <!stage1 !nodoc>, python3-sphinx-rtd-theme <!stage1 !nodoc>, texlive-latex-base <!stage1 !nodoc>, texlive-latex-extra <!stage1 !nodoc>, dvipng <!stage1 !nodoc>, patchutils <!stage1 !pkg.linux.nosource>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-4.19.0-6
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.19
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.19
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.19
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.19.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.19/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: lockdep
Architecture: all
Section: devel
Depends: ${misc:Depends}, liblockdep4.19
Recommends: liblockdep-dev
Description: Runtime locking correctness validator
 lockdep is a wrapper for programs that use the pthreads API, which detects
 actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: allowed

Package: liblockdep4.19
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime locking correctness validator (shared library)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: liblockdep-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}, liblockdep4.19 (= ${binary:Version})
Description: Runtime locking correctness validator (development files)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.

=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-6-alpha-generic [alpha], linux-image-4.19.0-6-alpha-smp [alpha], linux-image-4.19.0-6-amd64-unsigned [amd64], linux-image-4.19.0-6-cloud-amd64-unsigned [amd64], linux-image-4.19.0-6-rt-amd64-unsigned [amd64], linux-image-4.19.0-6-arm64-unsigned [arm64], linux-image-4.19.0-6-rt-arm64-unsigned [arm64], linux-image-4.19.0-6-marvell [armel], linux-image-4.19.0-6-rpi [armel], linux-image-4.19.0-6-armmp [armhf], linux-image-4.19.0-6-armmp-lpae [armhf], linux-image-4.19.0-6-rt-armmp [armhf], linux-image-4.19.0-6-parisc [hppa], linux-image-4.19.0-6-parisc-smp [hppa], linux-image-4.19.0-6-parisc64-smp [hppa], linux-image-4.19.0-6-686-unsigned [i386], linux-image-4.19.0-6-686-pae-unsigned [i386], linux-image-4.19.0-6-rt-686-pae-unsigned [i386], linux-image-4.19.0-6-itanium [ia64], linux-image-4.19.0-6-mckinley [ia64], linux-image-4.19.0-6-m68k [m68k], linux-image-4.19.0-6-4kc-malta [mips mipsel], linux-image-4.19.0-6-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-6-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-6-loongson-3 [mips64el mipsel], linux-image-4.19.0-6-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-6-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-6-mips32r6 [mipsr6], linux-image-4.19.0-6-mips32r6el [mipsr6el], linux-image-4.19.0-6-powerpc [powerpc], linux-image-4.19.0-6-powerpc-smp [powerpc], linux-image-4.19.0-6-powerpc64 [powerpc ppc64], linux-image-4.19.0-6-powerpcspe [powerpcspe], linux-image-4.19.0-6-powerpc64le [ppc64el], linux-image-4.19.0-6-riscv64 [riscv64], linux-image-4.19.0-6-s390x [s390x], linux-image-4.19.0-6-sh7751r [sh4], linux-image-4.19.0-6-sh7785lcr [sh4], linux-image-4.19.0-6-sparc64 [sparc64], linux-image-4.19.0-6-sparc64-smp [sparc64]
Classes: smp
